
_dc_motor3_short_brake:

;dc_motor3.c,43 :: 		void dc_motor3_short_brake()
;dc_motor3.c,45 :: 		IN1 = IN2 = 1;
	LDS        R27, IN2+0
	SBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
	LDS        R27, IN2+0
	BST        R27, BitPos(IN2+0)
	LDS        R27, IN1+0
	BLD        R27, BitPos(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,46 :: 		}
L_end_dc_motor3_short_brake:
	RET
; end of _dc_motor3_short_brake

_dc_motor3_stop:

;dc_motor3.c,48 :: 		void dc_motor3_stop()
;dc_motor3.c,50 :: 		if (SLP != 1)
	LDS        R27, SLP+0
	SBRC       R27, BitPos(SLP+0)
	JMP        L_dc_motor3_stop0
;dc_motor3.c,51 :: 		SLP = 1;
	LDS        R27, SLP+0
	SBR        R27, BitMask(SLP+0)
	STS        SLP+0, R27
L_dc_motor3_stop0:
;dc_motor3.c,52 :: 		IN1 = IN2 = 0;
	LDS        R27, IN2+0
	CBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
	LDS        R27, IN2+0
	BST        R27, BitPos(IN2+0)
	LDS        R27, IN1+0
	BLD        R27, BitPos(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,53 :: 		}
L_end_dc_motor3_stop:
	RET
; end of _dc_motor3_stop

_dc_motor3_standby:

;dc_motor3.c,55 :: 		void dc_motor3_standby()
;dc_motor3.c,57 :: 		SLP = 0;
	LDS        R27, SLP+0
	CBR        R27, BitMask(SLP+0)
	STS        SLP+0, R27
;dc_motor3.c,58 :: 		}
L_end_dc_motor3_standby:
	RET
; end of _dc_motor3_standby

_dc_motor3_clockwise:

;dc_motor3.c,60 :: 		void dc_motor3_clockwise()
;dc_motor3.c,62 :: 		if (SLP != 1)
	LDS        R27, SLP+0
	SBRC       R27, BitPos(SLP+0)
	JMP        L_dc_motor3_clockwise1
;dc_motor3.c,63 :: 		SLP = 1;
	LDS        R27, SLP+0
	SBR        R27, BitMask(SLP+0)
	STS        SLP+0, R27
L_dc_motor3_clockwise1:
;dc_motor3.c,64 :: 		IN1 = 0;
	LDS        R27, IN1+0
	CBR        R27, BitMask(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,65 :: 		IN2 = 1;
	LDS        R27, IN2+0
	SBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
;dc_motor3.c,67 :: 		}
L_end_dc_motor3_clockwise:
	RET
; end of _dc_motor3_clockwise

_dc_motor3_counter_clockwise:

;dc_motor3.c,69 :: 		void dc_motor3_counter_clockwise()
;dc_motor3.c,71 :: 		if (SLP != 1)
	LDS        R27, SLP+0
	SBRC       R27, BitPos(SLP+0)
	JMP        L_dc_motor3_counter_clockwise2
;dc_motor3.c,72 :: 		SLP = 1;
	LDS        R27, SLP+0
	SBR        R27, BitMask(SLP+0)
	STS        SLP+0, R27
L_dc_motor3_counter_clockwise2:
;dc_motor3.c,73 :: 		IN1 = 1;
	LDS        R27, IN1+0
	SBR        R27, BitMask(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,74 :: 		IN2 = 0;
	LDS        R27, IN2+0
	CBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
;dc_motor3.c,76 :: 		}
L_end_dc_motor3_counter_clockwise:
	RET
; end of _dc_motor3_counter_clockwise

_dc_motor3_in1_high:

;dc_motor3.c,78 :: 		void dc_motor3_in1_high()
;dc_motor3.c,80 :: 		IN1 = 1;
	LDS        R27, IN1+0
	SBR        R27, BitMask(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,81 :: 		}
L_end_dc_motor3_in1_high:
	RET
; end of _dc_motor3_in1_high

_dc_motor3_in1_low:

;dc_motor3.c,83 :: 		void dc_motor3_in1_low()
;dc_motor3.c,85 :: 		IN1 = 0;
	LDS        R27, IN1+0
	CBR        R27, BitMask(IN1+0)
	STS        IN1+0, R27
;dc_motor3.c,86 :: 		}
L_end_dc_motor3_in1_low:
	RET
; end of _dc_motor3_in1_low

_dc_motor3_in2_high:

;dc_motor3.c,88 :: 		void dc_motor3_in2_high()
;dc_motor3.c,90 :: 		IN2 = 1;
	LDS        R27, IN2+0
	SBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
;dc_motor3.c,91 :: 		}
L_end_dc_motor3_in2_high:
	RET
; end of _dc_motor3_in2_high

_dc_motor3_in2_low:

;dc_motor3.c,93 :: 		void dc_motor3_in2_low()
;dc_motor3.c,95 :: 		IN2 = 0;
	LDS        R27, IN2+0
	CBR        R27, BitMask(IN2+0)
	STS        IN2+0, R27
;dc_motor3.c,96 :: 		}
L_end_dc_motor3_in2_low:
	RET
; end of _dc_motor3_in2_low

dc_motor3____?ag:

L_end_dc_motor3___?ag:
	RET
; end of dc_motor3____?ag
