#include "dc_motor3.h"

sbit SLP at PORTB.B4;
sbit IN2 at PORTB.B0;
sbit IN1 at PORTA.B4;

uint8_t current_duty = 10;

void main() 
{

    DDB3_bit = 1;
    DDB4_bit = 1;
    DDB0_bit = 1;
    DDA4_bit = 1;
    DDRC  = 0x00;                                  // Configure PORTC as input
    PWM1_Init(_PWM1_FAST_MODE, _PWM1_PRESCALER_8, _PWM1_NON_INVERTED, current_duty);

    while(1)
    {
      if (Button(&PINC, 0, 50, 1))
      {
         dc_motor3_counter_clockwise();
      }
      
      if (Button(&PINC, 1, 50, 1))
      {
         dc_motor3_clockwise();
      }
      
      if (Button(&PINC, 2, 50, 1))
      {
         dc_motor3_stop();
      }
      
      if (Button(&PINC, 3, 50, 1))
      {
         current_duty += 10;
         PWM1_Set_Duty(current_duty);
      }
      
      if (Button(&PINC, 4, 50, 1))
      {
         current_duty -= 10;
         PWM1_Set_Duty(current_duty);
      }
    }
}